.menu-navigation {
    position: fixed;
    height: 100%;
    width: 100%;
    color: $white;
    background-color: $black-pearl;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s all ease;
    z-index: 11;

    &--show {
        opacity: 1;
        visibility: visible;
    }

    &--reset-header {
        .header {
            &__logo {
                opacity: 1;
                background-image: url("/content/themes/romin-2020/assets/images/logo-white.svg");
            }
        }

        .hamburger {
            &__menu {
                background-color: transparent;
                border-color: $white;
            }
        }
    }

    .container {
        &__fluid {
            height: 100%;
            display: flex;
            align-items: flex-end;
            margin: 0;

            .grid {
                margin: 5%;

                &__col-2 {
                    &:first-child {
                        display: flex;
                        justify-content: flex-start;
                        align-items: flex-end;

                        @media (max-width: $md) {
                            justify-content: flex-end;
                        }
                    }

                    @media (max-width: $md) {
                        width: 100%;
                    }
                }

                @media (max-width: $md) {
                    flex-direction: column-reverse;
                }
            }
        }
    }

    .contact {
        padding: 0;
        margin: 0;
        list-style: none;
        display: flex;
        color: $cornflower-blue;
        margin: 2.5em 0;

        @media (min-width: $lg) {
            margin-bottom: 0;
        }

        &__item {
            margin-right: 1em;

            a {
                font-weight: 500;
                color: $white;
                transition: color 0.25s ease-in-out;

                &:hover {
                    color: $egg-blue
                }
            }

            &:last-child {
                margin: 0;
            }
        }
    }

    
    .menu {
        margin: 0;
        padding: 0;
        list-style-type: none;
        position: relative;
        text-align: right;

        &__item {
            padding: .255em 0 ;
            display: inline-block;
            font-size: 3.5rem;
            font-weight: bold;
            text-decoration: none;
            color: $white;
            position: relative;

            &:before {
                content: attr(data-hover);
            }

            &:after {
                content: attr(data-hover);
                position: absolute;
                color: $egg-blue;
                left: 0;
                width: 0;
                transition: width 1s;
                overflow: hidden;
                white-space: nowrap;
            }

            &:hover:after {
                width: 100%;
            }

            @media (min-width: $md) {
                font-size: 5rem;
            }

            @media (min-width: $lg) {
                font-size: 5.5rem;
            }
        }

        li {
            &:last-child {
                .menu {
                    &__item {
                        padding-bottom: 0;
                    }
                }
            }
        }
    }
}
